[class^="blend"] img {
    mix-blend-mode: luminosity;
  }
  [class^="blend"]:before {
    position: absolute;
    z-index: 3;
    background: rgba(0, 0, 0, 0.4);
    color: #fff;
    padding: 0.2em;
    font-size: 14px;
  }
  [class^="blend"]:after {
    display: block;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    -webkit-filter: contrast(1.3);
    filter: contrast(1.3);
    mix-blend-mode: hue;
  }
  [class^="blend"][class*="-dark"] img {
    mix-blend-mode: darken;
  }
  [class^="blend"][class*="-dark"]:after {
    mix-blend-mode: lighten !important;
  }
  [class^="blend"][class*="-light"] img {
    mix-blend-mode: lighten;
  }
  [class^="blend"][class*="-light"]:after {
    mix-blend-mode: darken !important;
  }
  [class^="blend"][class*="-red"] {
    background: #E50914;
  }
  [class^="blend"][class*="-red"]:after {
    mix-blend-mode: hard-light;
    -webkit-filter: contrast(0.6) saturate(120%) brightness(1.2);
    filter: contrast(0.6) saturate(120%) brightness(1.2);
  }
  [class^="blend"][class*="-red"][class*="-dark"]:after {
    mix-blend-mode: lighten !important;
    -webkit-filter: contrast(1.1) !important;
    filter: contrast(1.1) !important;
  }
  [class^="blend"][class*="-red"][class*="-light"]:after {
    mix-blend-mode: color-dodge !important;
    -webkit-filter: saturate(400%) contrast(1.5);
    filter: saturate(400%) contrast(1.5);
  }
  [class^="blend"][class*="-red"]:after {
    background: #E50914;
  }
  [class^="blend"][class*="-red"]:after {
    background: #282581;
  }
  [class^="blend"][class*="-orange"] {
    background: #FCA300;
  }
  [class^="blend"][class*="-orange"][class*="-dark"]:after {
    mix-blend-mode: darken !important;
  }
  [class^="blend"][class*="-orange"][class*="-light"]:after {
    mix-blend-mode: hue !important;
    -webkit-filter: saturate(400%) contrast(1.5);
    filter: saturate(400%) contrast(1.5);
  }
  [class^="blend"][class*="-orange"]:after {
    background: #FCA300;
  }
  [class^="blend"][class*="-blue"] {
    background: #0066BF;
  }
  [class^="blend"][class*="-blue"]:not([class*="-dark"]):not([class*="-light"]):after {
    mix-blend-mode: hard-light;
    -webkit-filter: brightness(0.6);
    filter: brightness(0.6);
  }
  [class^="blend"][class*="-blue"][class*="-dark"]:after {
    mix-blend-mode: darken !important;
  }
  [class^="blend"][class*="-blue"]:after {
    background: #0066BF;
  }
  [class^="blend"][class*="-blue"]:after {
    background: #93EF90;
  }
  [class^="blend"][class*="-yellow"] {
    background: #FEDD31;
  }
  [class^="blend"][class*="-yellow"]:not([class*="-dark"]):not([class*="-light"]):after {
    -webkit-filter: brightness(3.5);
    filter: brightness(3.5);
    mix-blend-mode: soft-light;
  }
  [class^="blend"][class*="-yellow"][class*="-dark"]:after {
    mix-blend-mode: color-dodge !important;
    -webkit-filter: hue-rotate(70deg);
    filter: hue-rotate(70deg);
  }
  [class^="blend"][class*="-yellow"][class*="-light"] {
    background: #000000;
  }
  [class^="blend"][class*="-yellow"][class*="-light"]:after {
    mix-blend-mode: color !important;
    -webkit-filter: brightness(3) hue-rotate(93deg) contrast(2) saturate(150);
    filter: brightness(3) hue-rotate(93deg) contrast(2) saturate(150);
  }
  [class^="blend"][class*="-yellow"]:after {
    background: #FEDD31;
  }
  [class^="blend"][class*="-yellow"]:after {
    background: #EF3CB4;
  }
  [class^="blend"][class*="-purple"] {
    background: #BC6D14;
  }
  [class^="blend"][class*="-purple"]:not([class*="-dark"]):not([class*="-light"]) {
    background: rebeccapurple;
  }
  [class^="blend"][class*="-purple"]:not([class*="-dark"]):not([class*="-light"]):after {
    mix-blend-mode: darken !important;
  }
  [class^="blend"][class*="-purple"][class*="-dark"] {
    background: #B10AFF;
  }
  [class^="blend"][class*="-purple"][class*="-dark"]:after {
    mix-blend-mode: soft-light !important;
    -webkit-filter: saturate(100);
    filter: saturate(100);
  }
  [class^="blend"][class*="-purple"][class*="-light"]:after {
    background: #A37FC7;
    -webkit-filter: saturate(520%) brightness(10.5) contrast(350) !important;
    filter: saturate(520%) brightness(10.5) contrast(350) !important;
  }
  [class^="blend"][class*="-purple"]:after {
    background: #BC6D14;
  }
  [class^="blend"][class*="-purple"]:after {
    background: #ACFCEE;
  }
  [class^="blend"][class*="-green"] {
    background: #11C966;
  }
  [class^="blend"][class*="-green"]:not([class*="-dark"]):not([class*="-light"]):after {
    mix-blend-mode: soft-light;
  }
  [class^="blend"][class*="-green"][class*="-light"]:after {
    mix-blend-mode: color-dodge !important;
    -webkit-filter: saturate(100%) brightness(0.8) contrast(160%);
    filter: saturate(100%) brightness(0.8) contrast(160%);
  }
  [class^="blend"][class*="-green"]:after {
    background: #11C966;
  }
  [class^="blend"][class*="-green"]:after {
    background: #2D3181;
  }
  [class^="blend"][class*="-pink"] {
    background: #EA4C89;
  }
  [class^="blend"][class*="-pink"][class*="-dark"]:after {
    background: #1D0E14;
  }
  [class^="blend"][class*="-pink"][class*="-light"]:after {
    background: #FF468D;
    mix-blend-mode: lighten !important;
    -webkit-filter: contrast(1) saturate(250%) !important;
    filter: contrast(1) saturate(250%) !important;
  }
  [class^="blend"][class*="-pink"]:after {
    background: #EA4C89;
  }
  [class^="blend"][class*="-pink"]:after {
    background: #EA4C89;
  }
  [class^="blend"][class*="-blue-yellow"]:not([class*="-dark"]):not([class*="-light"]) {
    background: linear-gradient(to top left, #55ACEE, #FEDD31);
  }
  [class^="blend"][class*="-blue-yellow"][class*="-dark"]:after {
    mix-blend-mode: hard-light !important;
  }
  [class^="blend"][class*="-blue-yellow"][class*="-light"]:after {
    mix-blend-mode: hard-light !important;
    -webkit-filter: none;
    filter: none;
  }
  [class^="blend"][class*="-blue-yellow"]:after {
    background: linear-gradient(to top left, #55ACEE, #FEDD31) !important;
  }
  [class^="blend"][class*="-pink-yellow"]:not([class*="-dark"]):not([class*="-light"]) {
    background: linear-gradient(to bottom right, #FAA6FB, #FBBC05) !important;
  }
  [class^="blend"][class*="-pink-yellow"][class*="-dark"]:after {
    mix-blend-mode: hue !important;
    -webkit-filter: none !important;
    filter: none !important;
  }
  [class^="blend"][class*="-pink-yellow"][class*="-light"]:after {
    mix-blend-mode: hard-light !important;
    -webkit-filter: none !important;
    filter: none !important;
  }
  [class^="blend"][class*="-pink-yellow"]:after {
    background: linear-gradient(to top left, #FAA6FB, #FBBC05) !important;
  }
  [class^="blend"][class*="-red-blue"]:not([class*="-dark"]):not([class*="-light"]) {
    background: linear-gradient(to bottom right, #3993E2, #E2544B);
  }
  [class^="blend"][class*="-red-blue"]:not([class*="-dark"]):not([class*="-light"]):after {
    -webkit-filter: none;
    filter: none;
    mix-blend-mode: hard-light;
  }
  [class^="blend"][class*="-red-blue"][class*="-dark"]:after {
    mix-blend-mode: hard-light !important;
    -webkit-filter: none !important;
    filter: none !important;
  }
  [class^="blend"][class*="-red-blue"][class*="-light"]:after {
    mix-blend-mode: screen !important;
    -webkit-filter: saturate(300%) brightness(1.2) !important;
    filter: saturate(300%) brightness(1.2) !important;
  }
  [class^="blend"][class*="-red-blue"][class*="-light"]:after {
    mix-blend-mode: screen !important;
    -webkit-filter: saturate(300%) brightness(1.2) !important;
    filter: saturate(300%) brightness(1.2) !important;
  }

  [class^="blend"][class*="-red-blue"]:after {
    background: linear-gradient(to bottom right, #3993E2, #E2544B);
  }
  
  /* Filtro 1 */

  [class^="blend"][class*="-custom1"]:not([class*="-dark"]):not([class*="-light"]) {
    background: linear-gradient(to bottom right, #3993E2, #2b2f41);
    opacity: 0.8;
  }
  [class^="blend"][class*="-custom1"]:not([class*="-dark"]):not([class*="-light"]):after {
    -webkit-filter: none;
    filter: none;
    mix-blend-mode: hard-light;
  }
  [class^="blend"][class*="-custom1"][class*="-dark"]:after {
    mix-blend-mode: hard-light !important;
    -webkit-filter: none !important;
    filter: none !important;
  }
  [class^="blend"][class*="-custom1"][class*="-light"]:after {
    mix-blend-mode: screen !important;
    -webkit-filter: saturate(300%) brightness(1.2) !important;
    filter: saturate(300%) brightness(1.2) !important;
  }
  [class^="blend"][class*="-custom1"][class*="-light"]:after {
    mix-blend-mode: screen !important;
    -webkit-filter: saturate(300%) brightness(1.2) !important;
    filter: saturate(300%) brightness(1.2) !important;
  }

  
  [class^="blend"][class*="-custom1"]:after {
    background: linear-gradient(to bottom right, #3993E2, #2b2f41);
  }

    /* Filtro 2 */

    [class^="blend"][class*="-custom2"]:not([class*="-dark"]):not([class*="-light"]) {
      background-color: #8BC6EC;
      background: linear-gradient(135deg, #8BC6EC 0%, #9599E2 100%);
      opacity: 0.8;
    }
    [class^="blend"][class*="-custom2"]:not([class*="-dark"]):not([class*="-light"]):after {
      -webkit-filter: none;
      filter: none;
      mix-blend-mode: hard-light;
    }
    [class^="blend"][class*="-custom2"][class*="-dark"]:after {
      mix-blend-mode: hard-light !important;
      -webkit-filter: none !important;
      filter: none !important;
    }
    [class^="blend"][class*="-custom2"][class*="-light"]:after {
      mix-blend-mode: screen !important;
      -webkit-filter: saturate(300%) brightness(1.2) !important;
      filter: saturate(300%) brightness(1.2) !important;
    }
    [class^="blend"][class*="-custom2"][class*="-light"]:after {
      mix-blend-mode: screen !important;
      -webkit-filter: saturate(300%) brightness(1.2) !important;
      filter: saturate(300%) brightness(1.2) !important;
    }
  

    [class^="blend"][class*="-custom2"]:after {
      background-color: #8BC6EC;
      background: linear-gradient(135deg, #8BC6EC 0%, #9599E2 100%);
        }

      /* Filtro 3 */

      [class^="blend"][class*="-custom3"]:not([class*="-dark"]):not([class*="-light"]) {
        background-image: linear-gradient(to right, #43e97b 0%, #38f9d7 100%);
      }
      [class^="blend"][class*="-custom3"]:not([class*="-dark"]):not([class*="-light"]):after {
        -webkit-filter: none;
        filter: none;
        mix-blend-mode: hard-light;
      }
      [class^="blend"][class*="-custom3"][class*="-dark"]:after {
        mix-blend-mode: hard-light !important;
        -webkit-filter: none !important;
        filter: none !important;
      }
      [class^="blend"][class*="-custom3"][class*="-light"]:after {
        mix-blend-mode: screen !important;
        -webkit-filter: saturate(300%) brightness(1.2) !important;
        filter: saturate(300%) brightness(1.2) !important;
      }
      [class^="blend"][class*="-custom3"][class*="-light"]:after {
        mix-blend-mode: screen !important;
        -webkit-filter: saturate(300%) brightness(1.2) !important;
        filter: saturate(300%) brightness(1.2) !important;
      }
    
  
      [class^="blend"][class*="-custom3"]:after {
        background-image: linear-gradient(to right, #43e97b 0%, #38f9d7 100%);          }


      /* Filtro 4 */

      [class^="blend"][class*="-custom4"]:not([class*="-dark"]):not([class*="-light"]) {
        background-image: linear-gradient(to top, #48c6ef 0%, #6f86d6 100%);
      }
      [class^="blend"][class*="-custom3"]:not([class*="-dark"]):not([class*="-light"]):after {
        -webkit-filter: none;
        filter: none;
        mix-blend-mode: hard-light;
      }
      [class^="blend"][class*="-custom4"][class*="-dark"]:after {
        mix-blend-mode: hard-light !important;
        -webkit-filter: none !important;
        filter: none !important;
      }
      [class^="blend"][class*="-custom4"][class*="-light"]:after {
        mix-blend-mode: screen !important;
        -webkit-filter: saturate(300%) brightness(1.2) !important;
        filter: saturate(300%) brightness(1.2) !important;
      }
      [class^="blend"][class*="-custom4"][class*="-light"]:after {
        mix-blend-mode: screen !important;
        -webkit-filter: saturate(300%) brightness(1.2) !important;
        filter: saturate(300%) brightness(1.2) !important;
      }
    
  
      [class^="blend"][class*="-custom4"]:after {
        background-image: linear-gradient(to top, #48c6ef 0%, #6f86d6 100%);}


